-- http://www.iquilezles.org/apps/shadertoy/?p=Apple
-- Apple 3d glsl shader preset.
-- by Iñigo Quilez

p = require "heart"

function love.load()
	gt = 0
	love.graphics.setCaption( 'Heart' )
	end

function love.update( dt )
	gt = gt + 1.5*dt
	if gt > 10 then gt = 0 end
	p.effect:send( "time", gt )
	end

function love.draw()
	love.graphics.setColor( 0, 0, 0, 255 )
	love.graphics.setPixelEffect( p.effect )
	love.graphics.rectangle( "fill", 0, 0, 800, 600 )
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
